function OnClick()
    if s.m_s03_chest_middle == 1 then
        s.m_s03_chest_middle = 0
    end
   
    s.m_s03_chest_old_x, s.m_s03_chest_old_y = bkg.elements["seq_chest_anim_wheel_r8"]:GetPosition()
    

    bkg.elements["seq_chest_anim_wheel_r8"]:SetPosition(s.m_s03_chest_old_x + 20, s.m_s03_chest_old_y-4)
    PlaySound("snd_s03_0112_move_left")

    Sleep(300)
    OldAction("after_rotation1", function()
        bkg.elements["seq_chest_anim_wheel_r8"]:SetPosition(s.m_s03_chest_old_x, s.m_s03_chest_old_y)
    end)
    
end
